<?php
// ***************************************'
//  Le CASTEL-BTS SIO/ PROJET PPE4 GSB    '
//  Programme: c_etatFrais.php            '
//  Objet    : consultations des frais    '
//  Client   : laboratoires GSB           '
//  Version  : 3.0                        '
//  Date     : 03/05/2023 à 14H09         '
//  Auteur   : pascal-blain@wanadoo.fr    '
//****************************************'

$action = $_REQUEST['action'];
switch($action) {
case 'voir':
	{
		$nbRemboursementsAValider=$pdo->getNbRemboursementsAValider();
		include("vues/v_entete.php");
		
		if ($_SESSION['statut']!='1')
			{
			$lesVisiteurs=$pdo->getLesVisiteurs();
			include("vues/v_choixVisiteur.php");
			if ($_SESSION['idVisiteur']!=$visiteurChoisi) {unset($_REQUEST['lstMois']);$_SESSION['idVisiteur']=$visiteurChoisi;}
			} 
		$idVisiteur = $_SESSION['idVisiteur'];
		$lesMois=$pdo->getLesMoisDisponibles($idVisiteur);
		include("vues/v_choixMois.php");
		$_SESSION['leMois']= $moisChoisi;
		
		$leMois=$_SESSION['leMois'];
		$lesInfosRemboursement = $pdo->getInfosRemboursement($idVisiteur,$leMois);
		$libEtat = $lesInfosRemboursement['libEtat'];
		$montantValide = $lesInfosRemboursement['montantValide'];
		$nbJustificatifs = $lesInfosRemboursement['nbJustificatifs'];
		$dateModif =  $lesInfosRemboursement['dateModif'];
		$etatRemboursement = $lesInfosRemboursement['rEtat'];
		
		$lesFraisForfait= $pdo->getLesFraisForfait($idVisiteur,$leMois);
		$lesFraisHorsForfait = $pdo->getLesFraisHorsForfait($idVisiteur,$leMois);
		
		$ajoutFraisPossible = $pdo->getAjoutFraisPossible($idVisiteur, $leMois, $etatRemboursement);
		include("vues/v_etatFrais.php");
		break;
	}
case 'validerEtat':
	{
	// code à rédiger ici ...
		/*
		// il faut actualiser le code etat, la date, le nombre de justificatifs et le montant valide
		$pdo->valideRemboursement($idVisiteur,$leMois);
		$moisASelectionner = $leMois;
		header ('location: index.php?uc=etatFrais&action=voir&lstMois='.$leMois);
		break;*/
	}
default :
	{
		echo 'erreur d\'aiguillage !'.$action;
		break;

	}
}	
?>
